GROMACS - Task #1056

status of fft5d_threads and fftw3_threads functionality
12/03/2012 06:38 PM - Mark Abraham

Status: Accepted
Priority: Normal
Assignee: Mark Abraham
Category: mdrun

Target version:

Difficulty: uncategorized

Description

There are some stubs in CMakelLists.txt files and fft5d.c for some kind of FFTW threading functionality, but at least some part of it
seems to have been discarded. Is retaining this useful? Should something be cleaned up?

History

#1 - 12/04/2012 05:53 PM - Berk Hess

Roland, if it's very easy to make this work again, | could benchmark it to see if it helps with GPUs. If it doesn't we should get rid of it.

#2 - 12/05/2012 03:23 AM - Szilard Pall

As a large part of our user-base will be running with OpenMP-only parallelization (on most desktops/workstations and with single-GPU runs), if the
multithreaded FFTW has any relevant performance advantage, it would be good to enable this feature.

#3 - 12/12/2012 03:59 PM - Roland Schulz

https://gerrit.gromacs.org/#/c/1895/ is a patch to enable multi-threaded FFTW. Since it doesn't show significant speed-up we abandoned it. If
someone wants to revisit it in the future this would be a good starting point. For now all remaining code can be removed if that makes it cleaner.

#4 - 12/12/2012 04:03 PM - Roland Schulz

PS: | didn't benchmark with GPU. But given that | looked at the PME time by itself it shouldn't matter. | only benchmarked on a two socket 6 core
Sandy Bridge. Should we benchmark any other hardware or is this sufficient?

#5 - 12/12/2012 04:16 PM - Mark Abraham

OK, sounds like this stuff should be history. I'll remove it as part of my FFT upgrading. No need to make a branch or anything - one point of version
control is that you can find old stuff with things like

git log -G'FFTW_THREADS'

#6 - 12/12/2012 04:17 PM - Mark Abraham

Hrrrm | can't reassign it to me :-( Berk, please do.

#7 - 12/12/2012 07:42 PM - Rossen Apostolov

- Assignee changed from Berk Hess to Mark Abraham

#8 - 12/12/2012 07:42 PM - Rossen Apostolov

Mark: | added you to the manager list

#9 - 01/07/2013 02:10 PM - Mark Abraham

| have some stuff sitting around in gerrit drafts await resolution of some other issues.

#10 - 01/18/2013 03:28 PM - Erik Lindahl

- Target version changed from 4.6 to future

#11 - 05/22/2013 05:55 AM - Mark Abraham

- Target version changed from future to 4.6.x

#12 - 02/16/2014 07:45 AM - Teemu Murtola
https://gerrit.gromacs.org/#/c/1895/

- Project changed from Source code reorganization to GROMACS
- Category set to mdrun
- Status changed from New to Accepted

- Target version changed from 4.6.x to 5.x

Looks like this is still pending. Not likely to happen for 4.6 or 5.0.

#13 - 07/11/2016 08:21 PM - Mark Abraham

- Target version deleted (5.x)
